## gimpdebug

gimpdebug — Debug utility functions

## Functions

gboolean | gimp_debug_timer_start ()
gdouble | gimp_debug_timer_end ()

## Description

Miscellaneous debug utility functions. Not part of the stable library interface.

## Functions

### gimp_debug_timer_start ()

    gboolean
    gimp_debug_timer_start (void);

Starts measuring elapsed time.

This procedure starts a timer, measuring the elapsed time since the call. Each call to this procedure should be matched by a call to `gimp_debug_timer_end()`, which returns the elapsed time. If there is already an active timer, it is not affected by the call, however, a matching `gimp_debug_timer_end()` call is still required.

This is a debug utility procedure. It is subject to change at any point, and should not be used in production.

#### Returns

TRUE on success.

### gimp_debug_timer_end ()

    gdouble
    gimp_debug_timer_end (void);

Finishes measuring elapsed time.

This procedure stops the timer started by a previous `gimp_debug_timer_start()` call, and prints and returns the elapsed time. If there was already an active timer at the time of corresponding call to `gimp_debug_timer_start()`, a dummy value is returned.

This is a debug utility procedure. It is subject to change at any point, and should not be used in production.

#### Returns

The elapsed time, in seconds.

## Types and Values